%define	desktop_vendor planetccrma

Summary: JACK Audio Connection Kit (JACK) Audio Mastering interface
Name: jamin
Version: 0.95.0
Release: 2
License: GPL
Group: Applications/Multimedia
URL: http://jamin.sourceforge.net
Source0: jamin-%{version}.tar.gz
Source1: jamin-get-cvs
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: swh-plugins >= 0.4.7, liblo >= 0.15
Packager: Fernando Lopez-Lezcano
Vendor: Planet CCRMA
Distribution: Planet CCRMA

BuildRequires: fftw3-devel gtk2-devel jack-audio-connection-kit-devel 
BuildRequires: libxml2-devel ladspa-devel liblo-devel >= 0.15
BuildRequires: perl-XML-Parser gettext desktop-file-utils
%{?fc3: BuildRequires: gettext-devel}

%description
JAMin is the JACK Audio Connection Kit (JACK) Audio Mastering
interface. JAMin is designed to perform professional audio mastering
of any number of input streams. It uses LADSPA for its backend DSP
work, specifically the swh plugins created by Steve Harris. Steve is
the JAMin principle author and team leader.

%prep
%setup -q

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install

BASE="X-PlanetCCRMA;Application;AudioVideo;"
CATS="X-Multitrack;X-Digital_Processing;X-Jack;"
%{__cat} << EOF > %{desktop_vendor}-jamin.desktop
[Desktop Entry]
Name=JAMin
Comment=Jack Audio Mastering Interface
Icon=jamin.svg
Type=Application
Exec=%{_bindir}/jamin
MimeType=application/x-jamin;
StartupNotify=true
Terminal=false
Categories=${BASE}${CATS}
Encoding=UTF-8
EOF

%{__mkdir} -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor %{desktop_vendor} \
  --dir %{buildroot}%{_datadir}/applications    \
  %{desktop_vendor}-jamin.desktop

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc
%{_bindir}/jamin*
%{_datadir}/jamin
%{_mandir}/man1/jamin*
%{_libdir}/ladspa/*
%{_datadir}/applications/%{desktop_vendor}-*jamin.desktop
%exclude %{_datadir}/applications/jamin.desktop
%{_datadir}/icons/jamin.svg
%{_datadir}/locale/*/LC_MESSAGES/jamin.mo
%{_datadir}/mime/packages/jamin.xml

%changelog
* Mon May  6 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.95.0-2
- added Planet CCRMA categories

* Wed May  4 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.95.0-1
- updated to 0.95.0, fixed file list, added icon to desktop entry

* Tue Dec 21 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- spec file cleanup

* Mon Aug  9 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.17-0.cvs.1
- switched to jamin cvs, the 0.9.0 version does not work with the
  newer versions of liblo

* Mon Aug  9 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-1
- udpated to final 0.9.0 release
- added liblo requirement, fixed file list

* Fri Jul 30 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-0.beta10.1
- updated to the latest beta tarball (0.8.0 does not work with the 
  newest swh-plugins)

* Sat May  8 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- added proper buildrequires

* Mon Jan 12 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.8.0-1
- updated to 0.8.0 (first stable release)

* Mon Dec 15 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.6.0-0.cvs.1
- initial build.
- added menu entry
